package java.rmi.activation;

import java.rmi.RemoteException;
import java.rmi.Remote;

public interface ActivationSystem extends Remote
{
    public static final int SYSTEM_PORT = 1098;
    
    public abstract ActivationID registerObject(ActivationDesc p0) throws ActivationException, UnknownGroupException, RemoteException;
    
    public abstract void unregisterObject(ActivationID p0) throws ActivationException, UnknownObjectException, RemoteException;
    
    public abstract ActivationGroupID registerGroup(ActivationGroupDesc p0) throws ActivationException, RemoteException;
    
    public abstract ActivationMonitor activeGroup(ActivationGroupID p0, ActivationInstantiator p1, long p2) throws UnknownGroupException, ActivationException, RemoteException;
    
    public abstract void unregisterGroup(ActivationGroupID p0) throws ActivationException, UnknownGroupException, RemoteException;
    
    public abstract void shutdown() throws RemoteException;
    
    public abstract ActivationDesc setActivationDesc(ActivationID p0, ActivationDesc p1) throws ActivationException, UnknownObjectException, UnknownGroupException, RemoteException;
    
    public abstract ActivationGroupDesc setActivationGroupDesc(ActivationGroupID p0, ActivationGroupDesc p1) throws ActivationException, UnknownGroupException, RemoteException;
    
    public abstract ActivationDesc getActivationDesc(ActivationID p0) throws ActivationException, UnknownObjectException, RemoteException;
    
    public abstract ActivationGroupDesc getActivationGroupDesc(ActivationGroupID p0) throws ActivationException, UnknownGroupException, RemoteException;
}
